Bug 237143 - virt-manager stopped when creating full-virtual guests by using .iso file
Summary: virt-manager stopped when creating full-virtual guests by using .iso file
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 17:35 UTC by Daniel Chen
Modified: 2008-03-19 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 16:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Chen 2007-04-19 17:35:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3

Description of problem:
virt-manager can install full-virtual guests by using CDROM mode, but cannot by using .iso file.

It can generate image file and config file, but stop at below:

HVMAssist BIOS, 1cpu, $Revision: 1.138 $ $Date: 2005/05/07 15:55:26 $

ata0 master: QEMU HARDDISK ATA-7 Hard-Disk (5000 MBytes)
ata0 slave:  Unknown device
ata1 master: QEMU CD-ROM ATAPI-4 CD-Rom/DVD-Rom
ata1 slave:  Unknown device

CDROM boot failure code : 0004
Boot from CD-ROM failed
FATAL: Could not read the boot disk



My macheine is a Dell PE2950 (16G RAM)

Version-Release number of selected component (if applicable):
virt-manager-0.2.6-3.fc6

How reproducible:
Always


Steps to Reproduce:
1. launch virt-manager
2. follow the instruction of making full-virtual guest
3. after generating image file, it stops.

Actual Results:


Expected Results:


Additional info:

Comment 1 Red Hat Bugzilla 2007-07-25 02:09:15 UTC
change QA contact

Comment 2 Daniel Berrange 2007-09-27 21:09:48 UTC
Please provide the path of the ISO image being used. Most likely problem is that
the ISO image was not in the /var/lib/xen/images/ directory, and SELinux was
running in enforcing mode.


Comment 3 Daniel Chen 2007-09-29 00:52:03 UTC
I put the image path, such as "/home/DVD.img" in the iso path when the "virt-
manager" is launched, and SELinux is disabled.

Comment 4 Cole Robinson 2008-03-12 20:52:12 UTC
Hi, this is against fedora 6 which is no longer supported. Do you still see this
issue f7 or f8?

Comment 5 Daniel Chen 2008-03-19 16:37:19 UTC
No, it doesn't happenned with f7/f8.

Comment 6 Cole Robinson 2008-03-19 16:43:20 UTC
Thanks, I'll close this bug as WORKSFORME.


Note You need to log in before you can comment on or make changes to this bug.